winstd::critical_section Class Reference
Windows API

Critical section wrapper. More...

`#include <WinStd/Win.h>`

## Public Member Functions

| critical_section ()
| Construct the object and initializes a critical section object. More...
virtual | ~critical_section ()
| Releases all resources used by an unowned critical section object. More...
| operator LPCRITICAL_SECTION () noexcept
| Auto-typecasting operator. More...

## Protected Attributes

CRITICAL_SECTION | m_data
| Critical section struct.

## Detailed Description

Critical section wrapper.

## Constructor & Destructor Documentation

## critical_section()

winstd::critical_section::critical_section | ( |  | ) |

inline

Construct the object and initializes a critical section object.

See also
  InitializeCriticalSection function

## ~critical_section()

virtual winstd::critical_section::~critical_section | ( |  | ) |

inlinevirtual

Releases all resources used by an unowned critical section object.

See also
  DeleteCriticalSection function

## Member Function Documentation

## operator LPCRITICAL_SECTION()

winstd::critical_section::operator LPCRITICAL_SECTION | ( |  | ) |

inlinenoexcept

Auto-typecasting operator.

Returns
  Pointer to critical section

The documentation for this class was generated from the following file:

- include/WinStd/Win.h